# Standard Skriver Tool

A tool for managing the default printer for multiple different devices\.

## Introduction

The Standard Skriver Tool ('standardskriver' is Norwegian (i.e. Bokmal) for "default printer") helps you define
which printer is to be used for which device / IP / IP-range, user group, etc.

## Configuration

In /etc/standardskriver.cfg you are able to change the defined devices and their asigned default printers.

The syntax for doing this is simple and easy to manage via the configuration file ``/etc/standardskriver.cfg``:

    [settings]
    
    # Define if standardskriver shall be active (it gets loaded via XDG autostart during
    # session startup:
    
    enable = {yes,no}
    
    # Define if groups section overrides machine section (= groups machine) or machine section
    # overrides groups section.
    
    order = {machine groups | groups machine}
    
    # Define if standardskriver shall remove the previous default printer, if no entry in the groups or
    # machine section matches at login time.
    
    delete lpoptions = {yes,no}
    
    [machine]
    
    # Example 01: single client (example-printer has to be defined as a known device/printer in CUPS):
    
    <xxx.xx.x.x> = example-printer
    
    # example: IP subnet (e.g. matching a pool of machines in one of the computer labs), again
    # other-example-printer needs to be a well-defined CUPS print queue.
    
    <xxx.xx.x.x/x> = other-example-printer
    
    # Example: Single client defined via MAC-address:
    
    aa:bb:cc:dd:ee:ff = example-printer
    
    [groups]
    
    # Here you can define a default printer for users based on POSIX group membership (teacher-printer
    # needs to be a well-defined CUPS print queue again):
    
    teachers = teacher-printer

## License and Copyright

The Standard Skriver Tool is licensed under the GPL-2+ license.

Copyright holdership:

  * Copyright (C) 2013, Linnea Skogtvedt <linnea@linuxavdelingen.no>
  * Copyright (C) 2015-2017, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
